Berkeley DB version 5.0.21

## com.sleepycat.persist.evolve
Class EvolveConfig

    java.lang.Object
      com.sleepycat.persist.evolve.EvolveConfig

All Implemented Interfaces:
  Cloneable

    public class EvolveConfig

extends Object
implements Cloneable

Configuration properties for eager conversion of unevolved objects. This configuration is used with `EntityStore.evolve`.

See Also:
  `Class Evolution`

Constructor Summary
`EvolveConfig()` Creates an evolve configuration with default properties.

Method Summary
`void` `addClassToEvolve(String entityClass)` Adds an entity class for a primary index to be converted.
`EvolveConfig` `clone()` Returns a shallow copy of the configuration.
`EvolveConfig` `cloneConfig()` Deprecated. As of JE 4.0.13, replaced by `clone()`.
`Set<String>` `getClassesToEvolve()` Returns an unmodifiable set of the entity classes to be evolved.
`EvolveListener` `getEvolveListener()` Returns the progress listener that is notified each time an entity is read.
`void` `setEvolveListener(EvolveListener listener)` Sets a progress listener that is notified each time an entity is read.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolveConfig

    public EvolveConfig()

  Creates an evolve configuration with default properties.

Method Detail

### cloneConfig

    public EvolveConfig cloneConfig()

  Deprecated. As of JE 4.0.13, replaced by `clone()`.

  Returns a shallow copy of the configuration.

### clone

    public EvolveConfig clone()

  Returns a shallow copy of the configuration.

  Overrides:
    `clone` in class `Object`

### addClassToEvolve

    public void addClassToEvolve(String entityClass)

  Adds an entity class for a primary index to be converted. If no classes are added, all indexes that require evolution will be converted.

### getClassesToEvolve

    public Set<String> getClassesToEvolve()

  Returns an unmodifiable set of the entity classes to be evolved.

### setEvolveListener

    public void setEvolveListener(EvolveListener listener)

  Sets a progress listener that is notified each time an entity is read.

### getEvolveListener

    public EvolveListener getEvolveListener()

  Returns the progress listener that is notified each time an entity is read.

Berkeley DB version 5.0.21

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.